
Redmine - Feature #8818

Repository user-mapping with multiple email addresses

2011-07-14 18:30 - Slawomir CALUCH

Status: Closed Start date: 2011-07-14

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Hi!

Maybe someone else needs this. I currently need a way to auto map redmine users to git commiters. It works if the git user and

commiter have the same email address. But for some old repos I'm adding right now a few commits have been done from different

workstations and different e-mail addresses are used.

Would it be difficult to add multiple additional email fields for users so the mapping is done automatically when we add a new repo?

I have never done any ruby dev in my life so I'm unable to add this functionality myself ATM.

Cheers.

Related issues:

Related to Redmine - Feature #4244: Multiple email addresses for each user Closed 2009-11-19

History

#1 - 2011-09-17 13:07 - Etienne Massip

- Category set to SCM

#2 - 2012-01-13 15:15 - Slawomir CALUCH

This issue is exacerbated by the Defect #9897 which is due to the missing feature #1273. Each time there are dozens of emails we need to relink

when a change requiring a resync of the repo is required.

#3 - 2012-07-13 23:56 - Martin Grotzke

+1

#4 - 2015-01-17 15:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Slawomir CALUCH wrote:

Would it be difficult to add multiple additional email fields for users so the mapping is done automatically when we add a new repo?

 This is done in r13886, see #4244.

#5 - 2015-01-29 12:24 - Slawomir CALUCH

Spectacular! Thank you!
